<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package switch-lite
 */
$sidebar_position = get_theme_mod('tx_sidebar', 'right');
get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<?php if ('left' == $sidebar_position): ?>
                        <div class="col-md-4">
					    	<div class="side-bar">	
	                            <?php get_sidebar(); ?>
	                        </div>
                        </div>
                    <?php endif; ?>

                    <?php if ('no_sidebar' == $sidebar_position): ?>
                        <div class="col-md-8 col-md-offset-2">
                    <?php elseif('full_width' == $sidebar_position): ?>
                    	<div class="col-md-12">
                    <?php else: ?>
						<div class="col-md-8">
                    <?php endif; ?>

						<section class="error-404 not-found">
							<header class="page-header">
								<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'switch-lite' ); ?></h1>
							</header><!-- .page-header -->

							<div class="page-content">
								<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'switch-lite' ); ?></p>

								<?php
									get_search_form();

								?>
							</div><!-- .page-content -->
						</section><!-- .error-404 -->
					</div>

					<?php if ('right' == $sidebar_position): ?>
						<div class="col-md-4">
							<div class="side-bar">		
	                            <?php get_sidebar(); ?>
	                        </div>
	                    </div>
                    <?php endif; ?>
				</div>
			</div> <!-- col-md -->
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
