<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package switch-lite
 */

	// Sidebar position
	$sidebar_position = get_theme_mod('tx_sidebar', 'right');
get_header(); 

?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<?php if ('left' == $sidebar_position): ?>
                        <div class="col-md-4">
					    	<div class="side-bar">	
	                            <?php get_sidebar(); ?>
	                        </div>
                        </div>
                    <?php endif; ?>

                    <?php if ('no_sidebar' == $sidebar_position): ?>
                        <div class="col-md-8 col-md-offset-2">
                    <?php elseif('full_width' == $sidebar_position): ?>
                    	<div class="col-md-12">
                    <?php else: ?>
						<div class="col-md-8">
                    <?php endif; ?>
					
						<?php
							if ( have_posts() ) : ?>

								<header class="page-header">
									<?php
										the_archive_title( '<h1 class="page-title">', '</h1>' );
										the_archive_description( '<div class="archive-description">', '</div>' );
									?>
								</header><!-- .page-header -->

								<?php
								/* Start the Loop */
								while ( have_posts() ) : the_post();

									/*
									 * Include the Post-Format-specific template for the content.
									 * If you want to override this in a child theme, then include a file
									 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
									 */
									get_template_part( 'template-parts/content', get_post_format() );

								endwhile;

								the_posts_navigation();

							else :

								get_template_part( 'template-parts/content', 'none' );

							endif; 
						?>
					</div><!-- .col-md-8 -->
					
					<?php if ('right' == $sidebar_position): ?>
						<div class="col-md-4">
							<div class="side-bar">		
	                            <?php get_sidebar(); ?>
	                        </div>
	                    </div>
                    <?php endif; ?>
				</div><!-- .row -->
			</div><!-- .container -->
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
