<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package switch-lite
 */
 
 	// Credit Enable/Disable
    $credit_switcher = get_theme_mod( 'credit_enable', 'true');
    $copyright_text = get_theme_mod( 'tx_copyright', esc_html__('Proudly Powered by WordPress.', 'switch-lite'));

	$tx_facebook_url 	= get_theme_mod('tx_facebook');
	$tx_twitter_url  	= get_theme_mod('tx_twitter');
	$tx_dribble_url  	= get_theme_mod('tx_dribble');
	$tx_linkedin_url   	= get_theme_mod('tx_linkedin');
	$tx_pinterest_url   = get_theme_mod('tx_pinterest');


	?>

	</div><!-- #content -->

	<footer id="footer">

		<?php 
			$span = 0;
				if(is_active_sidebar('tx-footer-sidebar-1')) {
					for($i=1;$i<=4;$i++) {
						if(is_active_sidebar('tx-footer-sidebar-' . $i)) 
							$span++;
					}
				$span = 12 / $span;
			}
		?>


		<?php if(is_active_sidebar('tx-footer-sidebar-1')): ?>
			<div class="site-footer footer">
				<div class="container">
					<div class="row">
						<?php for($i=1;$i<=4;$i++) { if(is_active_sidebar('tx-footer-sidebar-' . $i)): ?>
			                <div class="footer-widget">
			                    <div class="col-md-<?php echo esc_attr($span);?>">
			                        <?php if(dynamic_sidebar('tx-footer-sidebar-' . $i)); ?> 
			                    </div><!--col-md -->
			                </div> <!--end of footer-1-->
				        <?php endif; } ?>
					</div> <!-- /.row -->
				</div><!-- /.container -->
			</div><!-- /.site-footer -->
		<?php endif; ?>

		<div class="site-copyright">
			<div class="container">
				<div class="row">
					<div class="col-sm-6 col-md-6">
						<div class="site-info wow fadeInLeft" data-wow-delay=".5s">
							<p class="copyright-credit">
								<span class="copyright">	
									<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'switch-lite' ) ); ?>" class="imprint">
										<?php
										/* translators: %s: WordPress. */
										echo esc_html( $copyright_text );
										?>
									</a>	
								</span>
											
								<?php if ( $credit_switcher):?>
									<span class="credit"> <?php esc_html_e( 'Design & Developed By :', 'switch-lite' );?>
										<a target="_blank" href="https://themesgrove.com"><?php esc_html_e('Themesgrove', 'switch-lite');?></a>
									</span>
								<?php endif; ?>
							</p>
						</div><!-- .site-info -->
					</div><!-- .col-md-6 -->
							
						<div class="col-md-6 col-sm-6">

							<ul class="copyright-social-icon list-inline text-right wow fadeInRight">
								<?php if($tx_facebook_url): ?>
									<li><a class="fb" target="_blank" href="<?php echo esc_url ( $tx_facebook_url);?>"><i class="fa fa-lg fa-facebook"></i></a></li>
								<?php endif; ?>

								<?php if($tx_twitter_url): ?>
									<li><a class="twitter" target="_blank" href="<?php echo esc_url ( $tx_twitter_url);?>"><i class="fa fa-lg fa-twitter"></i></a></li>
								<?php endif; ?>

								<?php if($tx_dribble_url): ?>
									<li><a class="dribbble" target="_blank" href="<?php echo esc_url ( $tx_dribble_url);?>"><i class="fa fa-lg fa-dribbble"></i></a></li>
								<?php endif; ?>

								<?php if($tx_linkedin_url): ?>
									<li><a class="linkedin" target="_blank" href="<?php echo esc_url ( $tx_linkedin_url);?>"><i class="fa fa-lg fa-linkedin"></i></a></li>
								<?php endif; ?>

								<?php if($tx_pinterest_url): ?>
									<li><a class="pinterest" target="_blank" href="<?php echo esc_url ( $tx_pinterest_url);?>"><i class="fa fa-lg fa-pinterest"></i></a></li>
								<?php endif; ?>
							</ul>
			            </div> <!-- /.col-md-6 -->
				</div> <!-- /.row -->
			</div><!-- /.container -->
		</div><!-- /.copyright -->
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
