<?php 

function switch_lite_customizer_color(){
	$body_text_color = get_theme_mod('body_text_color', '#424c57');
	$body_font_size = get_theme_mod( 'font_size_body', '16');
	$font_size = get_theme_mod( 'font_size', '14');
	$theme_primary_color = get_theme_mod('theme_primary_color', '#51BBE5');
	$title_text_align = get_theme_mod('title_text_align', 'center');
	$text_transform = get_theme_mod('text_transform', 'uppercase');
	$header_bg_color = get_theme_mod('header_bg_color', '#f8f8f8');

	$nav_link_color = get_theme_mod('nav_link_color', '#444');
	$nav_link_hover_color = get_theme_mod('nav_link_hover_color', '#51BBE5');
	
	$footer_bg_color = get_theme_mod('footer_bg_color', '#666');
	$footer_widget_bg_color = get_theme_mod('footer_widget_bg_color', '#fff');
	$footer_widget_text_color = get_theme_mod('footer_widget_text_color', '#333');
	$footer_widget_title_color = get_theme_mod('footer_widget_title_color', '#333');
	$copyright_bg_color = get_theme_mod('copyright_bg_color', '#51BBE5');

	$text_color = get_theme_mod('text_color', '#fff');
	$icon_color = get_theme_mod('icon_color', '#fff');
	$credit_enable = get_theme_mod( 'credit_enable', 'enable');
	$credit_enable = $credit_enable ? '0px' : '15px 0px';
	$customizer_custom_color = '
		body{
			color:'.esc_attr($body_text_color).';
			font-size:'.esc_attr($body_font_size).'px;
		}
		.btn, 
		.copyright a:hover,
		.credit a:hover, 
		.entry-meta a:hover, 
		.widget a:hover,  
		.carousel-caption 
		.slider-title a:hover, 
		.carousel-caption .entry-meta a:hover,
		.entry-title a:hover,
		#wp-calendar tbody td a, 
		#wp-calendar tfoot td#prev a:hover, 
		#wp-calendar tfoot td#next a:hover{
			color:'.esc_attr($theme_primary_color).';
		}
		input[type="button"]:hover,
        input[type="reset"]:hover, 
        input[type="submit"]:hover,
        .search-form input[type="submit"]:hover {
        	background-color: #fff;
        	border-color:'.esc_attr($theme_primary_color).';
        	color:'.esc_attr($theme_primary_color).';
        }
        .post-thumbnail .triangle{
	        border-left: 50px solid '.esc_attr($theme_primary_color).';
	    }
  		.sticky-post .arrow{
	        border-left: 28px solid '.esc_attr($theme_primary_color).';
	    }

	    blockquote{
	    	border-left: 5px solid '.esc_attr($theme_primary_color).';
	    }
	    #wp-calendar tbody td#today{
			color:'.esc_attr($theme_primary_color).';
			border-color:'.esc_attr($theme_primary_color).';
		}
		.page-header-bg .page-header-title,
        .default-page-header .page-header-title{
        	text-align:'.esc_attr($title_text_align).';
        }
        .btn-border:hover,  
        .page-links a:hover,
        .page-links>span,
        .btn-nav:hover, 
        .post-meta a:hover, 
        .search-form input[type="submit"],
        input[type="button"],
        input[type="reset"], 
        input[type="submit"],
        .reply a:hover, 
        .post-meta a:hover,
        .widget .tagcloud a:hover,
        .nav-links span:hover, 
        .nav-links a:hover, 
        .page-numbers.current,
        #hero-unit .carousel-control:focus,
        #hero-unit .carousel-control:hover,
        .pager li > a:hover, 
        .pager li > a:focus,
        .edit-link a:hover,
        .owl-carousel-left:hover, 
        .owl-carousel-right:hover,
        #wp-calendar caption,
        #wp-calendar thead th,
        #wp-calendar tbody td#today{
			background-color:'.esc_attr($theme_primary_color).';
			border-color:'.esc_attr($theme_primary_color).';
			color:#fff;
    	}
    	input[type="text"]:focus, 
		input[type="email"]:focus, 
		input[type="url"]:focus, 
		input[type="password"]:focus, 
		input[type="search"]:focus, 
		input[type="number"]:focus, 
		input[type="tel"]:focus, 
		input[type="range"]:focus, 
		input[type="date"]:focus, 
		input[type="month"]:focus, 
		input[type="week"]:focus, 
		input[type="time"]:focus, 
		input[type="datetime"]:focus, 
		input[type="datetime-local"]:focus, 
		input[type="color"]:focus, 
		textarea:focus{
			border-color:'.esc_attr($theme_primary_color).';
		}
		.tags-links a:hover, 
		.cat-links a:hover{
			color:'.esc_attr($theme_primary_color).';
		}
		.widget-title:before{
			background-color:'.esc_attr($theme_primary_color).';
		}
		.site-header .navbar-default,
		.affix{
			background-color:'.esc_attr($header_bg_color).' ;
		}
		.navbar-default .navbar-nav>li>a{ 
			color:'.esc_attr($nav_link_color).';
			text-transform:'.esc_attr($text_transform).';
			font-size:'.esc_attr($font_size).'px;
		}
		.navbar-default .navbar-nav>li>a:hover{
			color:'.esc_attr($nav_link_hover_color).';
		}
		.navbar-default .navbar-nav>li>a.current{
			color:'.esc_attr($nav_link_hover_color).' !important;
		}
		.navbar-nav li.current-menu-item>a{
			color:'.esc_attr($theme_primary_color).';
		}
		.current > a, 
		#preloader .loading-title, 
		.current-menu-parent>a{
			color:'.esc_attr($theme_primary_color).';
		}
		.plane{
			background-color:'.esc_attr($theme_primary_color).';
		}
		ul.sub-menu li a:hover{
			background-color:'.esc_attr($nav_link_hover_color).';
			color:#fff;
		}
		.format-quote .entry-quote, 
        .format-quote .entry-content,
        .format-link .entry-link, 
        .format-link .entry-content{
        	background-color:'.esc_attr($theme_primary_color).';
        }
        .site-footer{
        	background-color:'.esc_attr($footer_bg_color).';
        	padding:100px 0px;
        }
        .site-footer .widget{
        	background-color:'.esc_attr($footer_widget_bg_color).';
        }
        .site-footer .widget, .site-footer .widget a{
        	color:'.esc_attr($footer_widget_text_color).';
        }
        .site-footer .widget .widget-title{
        	color:'.esc_attr($footer_widget_title_color).';
        }
        .site-copyright{
			background-color:'.esc_attr($copyright_bg_color).';
        }
        .site-copyright .site-info, .site-copyright .site-info a{
        	color:'.esc_attr($text_color).';
        }
        .site-copyright .copyright-social-icon a{
        	color:'.esc_attr($icon_color).';
        }
        span.copyright{
        	margin:'.esc_attr($credit_enable).';
        	display:block;
        }
	';
	return apply_filters( 'switch_lite_customizer_color',  $customizer_custom_color );
}

function switch_lite_header_image(){
	$header_image = get_theme_mod('header_image');
	$header_image = $header_image ? $header_image : '';
	$customizer_header_image = '
		#header .navbar{
			background-image:url('.esc_attr($header_image).'); 
			background-position: center center;
			background-size: cover;
			background-repeat: no-repeat;
		}
	';
	
	return apply_filters( 'switch_lite_header_image',  $customizer_header_image );
}

