<?php

if( ! defined( 'ABSPATH' ) ) exit();

class SwitchCore_Dependency{

    private static $instance;
    public static function init(){
        if(null === self::$instance ){
            self::$instance = new self;
        }
        return self::$instance;
    }
    public function __construct(){
        if (!did_action('switch-core/loaded')) {
            add_action( 'admin_notices', array($this, 'check_dependend_plugin_switch_core') );
        }
    }

    public function check_dependend_plugin_switch_core(){
        if (!current_user_can('activate_plugins')) {
            return;
        }
        $core_main_file = 'switch-core/switch-core.php';

        if(! $this->get_all_plugin_in_my_site($core_main_file)){
            /**
             * if plugin not found
             */
            $activation_url = wp_nonce_url(self_admin_url('update.php?action=install-plugin&plugin=switch-core'), 'install-plugin_switch-core');
            $message = sprintf(__('<strong>Switch Lite</strong> requires <strong>Switch Core</strong> plugin to be installed and activated. Please install <strong>Switch Core</strong> to continue.', 'switch-lite'), '<strong>', '</strong>');
            $button_text = __('Install Switch Core', 'switch-lite');
            $button = '<p><a href="' . $activation_url . '" class="button-primary">' . $button_text . '</a></p>';
            printf('<div class="error"><p>%1$s</p>%2$s</div>', __($message), $button);
        }else{
            /**
             * if found
             */
            
            if(!is_plugin_active($core_main_file) ){
                $activation_url = wp_nonce_url('plugins.php?action=activate&amp;plugin=' . $core_main_file . '&amp;plugin_status=all&amp;paged=1&amp;s', 'activate-plugin_' . $core_main_file);
                $message = __('<strong>Switch Lite</strong> requires <strong>Switch Core</strong> plugin to be active. Please activate Switch Core to continue.', 'switch-lite');
                $button_text = __('Activate Switch Core', 'switch-lite');
                $button = '<p><a href="' . $activation_url . '" class="button-primary">' . $button_text . '</a></p>';
                printf('<div class="error"><p>%1$s</p>%2$s</div>', __($message), $button);
            }
        }
        
    }

    public function get_all_plugin_in_my_site($plugin_base_name){
        $installed_plugins = get_plugins();
        return isset($installed_plugins[$plugin_base_name]);
    }



}