<?php
/**
 * Declaring widgets
 *
 *
 * @package switch-lite
 */

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function switch_lite_widgets_init() {
    register_sidebar( 
        array(
            'name'          => esc_html__( 'Sidebar', 'switch-lite' ),
            'id'            => 'sidebar-1',
            'description'   => esc_html__( 'Add widgets here for sidebar.', 'switch-lite' ),
            'before_widget' => '<section id="%1$s" class="widget %2$s">',
            'after_widget'  => '</section>',
            'before_title'  => '<h2 class="widget-title">',
            'after_title'   => '</h2>',
        )
    );
    
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Sidebar 1', 'switch-lite' ),
        'id'            => 'tx-footer-sidebar-1',
        'description'   => esc_html__('Footer Widget Area 1', 'switch-lite'),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Footer Sidebar 2', 'switch-lite' ),
        'id'            => 'tx-footer-sidebar-2',
        'description'   => esc_html__('Footer Widget Area 2', 'switch-lite'),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Footer Sidebar 3', 'switch-lite' ),
        'id'            => 'tx-footer-sidebar-3',
        'description'   => esc_html__('Footer Widget Area 3', 'switch-lite'),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Sidebar 4', 'switch-lite' ),
        'id'            => 'tx-footer-sidebar-4',
        'description'   => esc_html__('Footer Widget Area 4', 'switch-lite'),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
}
add_action( 'widgets_init', 'switch_lite_widgets_init' );