<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package switch-lite
 */


get_header(); 

?>
	<div class="default-page-header">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="page-header-title">
						<h1 class="page-title"><?php the_title(' '); ?></h1>
					</div><!-- .page-header -->
				</div><!-- .col-md-12 -->
			</div><!-- .row -->
		</div><!-- .container -->
	</div><!-- .default-page-header -->

	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
					<?php
						while ( have_posts() ) : the_post();

							get_template_part( 'template-parts/content', 'page' );

							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;

						endwhile; // End of the loop.
					?>
					</div><!-- .col-md-12 -->
				</div><!-- .row -->
			</div><!-- .container-->
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
