<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package switch-lite
 */
	// Sidebar position
	$sidebar_position = get_theme_mod('tx_sidebar', 'right');
get_header(); 
?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<?php if ('left' == $sidebar_position): ?>
                        <div class="col-md-4">
					    	<div class="side-bar">	
	                            <?php get_sidebar(); ?>
	                        </div>
                        </div>
                    <?php endif; ?>

                    <?php if ('no_sidebar' == $sidebar_position): ?>
                        <div class="col-md-8 col-md-offset-2">
                    <?php elseif('full_width' == $sidebar_position): ?>
                    	<div class="col-md-12">
                    <?php else: ?>
						<div class="col-md-8">
                    <?php endif; ?>

						<?php
							if ( have_posts() ) : ?>

								<header class="page-header">
									<h1 class="page-title">
										<?php echo esc_html__( 'Search Results for:', 'switch-lite' ); ?> 
										<span>
											<?php echo get_search_query(); ?>
										</span>
									</h1>
								</header><!-- .page-header -->

								<?php
								/* Start the Loop */
								while ( have_posts() ) : the_post();

									/**
									 * Run the loop for the search to output the results.
									 * If you want to overload this in a child theme then include a file
									 * called content-search.php and that will be used instead.
									 */
									get_template_part( 'template-parts/content', 'search' );

								endwhile;

								the_posts_navigation();

							else :

								get_template_part( 'template-parts/content', 'none' );

							endif; 
						?>
					</div><!-- .col-md-8 -->


					<?php if ('right' == $sidebar_position): ?>
						<div class="col-md-4">
							<div class="side-bar">		
	                            <?php get_sidebar(); ?>
	                        </div>
	                    </div>
                    <?php endif; ?>
				</div><!-- .row -->
			</div><!-- .container -->
		</main><!-- #main -->
	</section><!-- #primary -->

<?php

get_footer();
