<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package switch-lite
 */
	// Sidebar position
	$sidebar_position = get_theme_mod('tx_sidebar', 'right');
get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">
					<?php if ('left' == $sidebar_position): ?>
                        <div class="col-md-4">
					    	<div class="side-bar">	
	                            <?php get_sidebar(); ?>
	                        </div>
                        </div>
                    <?php endif; ?>

                    <?php if ('no_sidebar' == $sidebar_position): ?>
                        <div class="col-md-8 col-md-offset-2">
                    <?php elseif('full_width' == $sidebar_position): ?>
                    	<div class="col-md-12">
                    <?php else: ?>
						<div class="col-md-8">
                    <?php endif; ?>

						<?php
							while ( have_posts() ) : the_post();

								get_template_part( 'template-parts/content', get_post_format() );

								the_post_navigation();

								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;

							endwhile; // End of the loop.
						?>
					</div><!-- .col-md-8 -->

					<?php if ('right' == $sidebar_position): ?>
						<div class="col-md-4">
							<div class="side-bar">		
	                            <?php get_sidebar(); ?>
	                        </div>
	                    </div>
                    <?php endif; ?>

				</div><!-- .row -->
			</div><!-- .container -->			
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
