<?php
/**
 * Template part for displaying audio posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package switch-lite
 * @since 1.0
 * @version 1.0
 */

?>
<div class="post-list">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php
			$content = apply_filters( 'the_content', get_the_content() );
			$audio = false;

			// Only get audio from the content if a playlist isn't present.
			if ( false === strpos( $content, 'wp-playlist-script' ) ) {
				$audio = get_media_embedded_in_content( $content, array( 'audio' ) );
			}

		?>

		<?php if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
			<div class="post-thumbnail">
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail(); ?>
				</a>
			</div><!-- .post-thumbnail -->
		<?php endif; ?>

		<div class="entry-content post-format">

		<?php
			if ( ! is_single() ) {

				the_content();
			};

			if ( is_single() || empty( $audio ) ) {

				/* translators: %s: Name of current post */
				the_content( sprintf(
					// esc_html__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'switch-lite' ),
					get_the_title()
				) );

				wp_link_pages( array(
					'before'      => '<div class="page-links">' . __( 'Pages:', 'switch-lite' ),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) );

			};
			?>
		</div><!-- .entry-content -->

		<header class="entry-header">
			
			<?php if( is_single() ) : ?>
			    <h2 class="entry-title"><?php the_title(); ?></h2>
			<?php elseif(is_front_page() && is_home() ) : ?>
			    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php else : ?>
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php endif; ?>


		</header><!-- .entry-header -->

			<?php
				if ( 'post' === get_post_format() ) {
					echo '<div class="entry-meta">';
							switch_lite_posted_on();
					echo '</div><!-- .entry-meta -->';
				};
			?>



		<?php if ( is_single() ):?>
			<footer class="entry-footer">
				<?php switch_lite_entry_footer();?>
			</footer><!-- .entry-footer -->

		<?php else: ?>

			<footer class="entry-footer">
				<div class="content-btn">
					<a href="<?php the_permalink(); ?>" class="btn-border">
						<?php esc_html_e('Read More', 'switch-lite');?>		
					</a>				
				</div>
			</footer><!-- .entry-footer -->

		<?php endif;?>

	</article><!-- #post-## -->
</div><!-- .post-list -->
