<?php
/**
 * Template part for displaying gallery posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package switch-lite
 * @since 1.0
 * @version 1.0
 */

?>
<div class="post-list">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="entry-content post-format">

			<?php
			if ( ! is_single() ) {

				// If not a single post, highlight the gallery.
				if ( get_post_gallery() ) {
					echo '<div class="entry-gallery">';
						echo get_post_gallery();
					echo '</div>';
				};

			};

			if ( is_single() || ! get_post_gallery() ) {

				/* translators: %s: Name of current post */
				the_content( sprintf(
					get_the_title()
				) );

				wp_link_pages( array(
					'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'switch-lite' ),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) );

			};
			?>

		</div><!-- .entry-content -->

		<header class="entry-header">

			<?php if( is_single() ) : ?>
			    <h2 class="entry-title"><?php the_title(); ?></h2>
			<?php elseif(is_front_page() && is_home() ) : ?>
			    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php else : ?>
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php endif; ?>
		</header><!-- .entry-header -->

		<?php
			if ( 'post' === get_post_format() ) {
				echo '<div class="entry-meta">';
						switch_lite_posted_on();
				echo '</div><!-- .entry-meta -->';
			};
		?>



		<?php if ( '' !== get_the_post_thumbnail() && ! is_single() && ! get_post_gallery() ) : ?>
			<div class="post-thumbnail">
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail( 'switch-lite-featured-image' ); ?>
				</a>
			</div><!-- .post-thumbnail -->
		<?php endif; ?>


		<?php if ( is_single() ):?>
			<footer class="entry-footer">
				<?php switch_lite_entry_footer();?>
			</footer><!-- .entry-footer -->

		<?php else: ?>

			<footer class="entry-footer">
				<div class="content-btn">
					<a href="<?php the_permalink(); ?>" class="btn-border">
						<?php esc_html_e('Read More', 'switch-lite');?>		
					</a>				
				</div>
			</footer><!-- .entry-footer -->

		<?php endif;?>

	</article><!-- #post-## -->
</div><!-- #.post-list -->