<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package switch-lite
 */
$post_formats = array('audio', 'image', 'video', 'link', 'gallery');
?>
<div class="post-list">
	<article id="post-<?php the_ID(); ?>" <?php post_class('main'); ?>>
		<?php if ( has_post_thumbnail()): ?>
			<?php if (!in_array(get_post_format(), $post_formats)): ?>
			<figure class="post-thumbnail">
				<?php if(is_sticky()): ?>
	                <div class="triangle">
	                  <span>
	                  		<i class="fa fa-star"></i>
	                  </span>
	                </div>
        		<?php endif; ?>	

				<?php if ( is_single() ):?>
					<?php the_post_thumbnail(); ?>
				<?php else: ?>
					<a href="<?php the_permalink(); ?>">
						<?php the_post_thumbnail(); ?>
					</a>
				<?php endif; ?>
			</figure><!-- .post-thumbnail -->
			<?php endif; ?>	

		
			<header class="entry-header">	
				<?php if( is_single() ) : ?>
				    <h2 class="entry-title"><?php the_title(); ?></h2>
				<?php elseif(is_front_page() && is_home() ) : ?>
				    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				<?php else : ?>
					<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				<?php endif; ?>
			</header><!-- .entry-header -->

		<?php elseif(is_sticky()): ?>
        				
			<?php if(is_sticky()): ?>
				<div class="sticky-post">		
		            <div class="arrow">
		                <span>
		                  	<i class="fa fa-star"></i>
		                </span>
		            </div>
					<header class="entry-header">	
						<?php if( is_single() ) : ?>
						    <h2 class="entry-title"><?php the_title(); ?></h2>
						<?php elseif(is_front_page() && is_home() ) : ?>
						    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
						<?php else : ?>
							<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
						<?php endif; ?>
					</header><!-- .entry-header -->
				</div><!-- .sitcky-post -->
	        <?php endif; ?>	

	<?php else: ?>

		<header class="entry-header">	
			<?php if( is_single() ) : ?>
			    <h2 class="entry-title"><?php the_title(); ?></h2>
			<?php elseif(is_front_page() && is_home() ) : ?>
			    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php else : ?>
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php endif; ?>
		</header><!-- .entry-header -->
	<?php endif; ?>	





		<?php
			if ( 'post' === get_post_format() ) {
				echo '<div class="entry-meta">';
						switch_lite_posted_on();
				echo '</div><!-- .entry-meta -->';
			};
		?>


		<div class="entry-content">
			<?php if ( is_single() ):?>
				<?php the_content();?>
			<?php else: ?>
				<p><?php the_excerpt(); ?></p>
			<?php endif; ?>

			<?php

				wp_link_pages( array(
					'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'switch-lite' ),
					'after'       => '</div>',
					'next_or_number'   => 'number',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
					'nextpagelink'     => esc_html__( 'Next Page', 'switch-lite' ),
					'previouspagelink' => esc_html__( 'Previous Page', 'switch-lite' ),
				) );
			?>
		
		</div><!-- .entry-content -->



		<?php if ( is_single() ):?>
			<footer class="entry-footer">
				<?php //switch_lite_entry_footer();?>
			</footer><!-- .entry-footer -->

		<?php else: ?>

			<footer class="entry-footer">
				<div class="content-btn">
					<a href="<?php the_permalink(); ?>" class="btn-border">
						<?php esc_html_e('Read More', 'switch-lite');?>		
					</a>				
				</div>
			</footer><!-- .entry-footer -->

		<?php endif;?>

	</article><!-- #post-## -->
</div> <!-- .post-list -->
